html {
  scroll-behavior: unset;
}

.recruitment {
  display: none;
}

.contactProgress {
  margin-top: clamp(2.5rem, 5.9259vw, 4rem);
}

.contactProgess__list {
  display: flex;
  gap: 3rem;
}

.contactProgress__item {
  display: grid;
  gap: 0.5rem;
  grid-template-columns: 1.5rem 1fr;
  position: relative;
}

.contactProgress__item::after {
  border-bottom: 1px solid var(--colorGray350);
  border-right: 1px solid var(--colorGray350);
  content: "";
  display: block;
  height: 0.5rem;
  position: absolute;
  right: -1rem;
  top: 50%;
  transform: translate(50%, -50%) rotate(-45deg);
  width: 0.5rem;
}

.contactProgress__item:last-child::after {
  display: none;
}

.contactProgress__number {
  align-items: center;
  color: var(--colorRed);
  display: flex;
  font-size: 0.875rem;
  font-weight: 700;
  height: 1.5rem;
  justify-content: center;
  padding-right: 0.15rem;
  position: relative;
  width: 1.5rem;
  z-index: 1;
}

.contactProgress__number::after {
  background: #fff;
  border: 1px solid var(--colorRed);
  border-radius: 50%;
  content: "";
  display: block;
  height: 1.5rem;
  left: calc(50% - 0.0625rem);
  position: absolute;
  top: calc(50% + 0.0625rem);
  transform: translate(-50%, -50%);
  width: 1.5rem;
  z-index: -1;
}

.contactProgress__text {
  font-size: 1rem;
  font-weight: 700;
}

.contactProgress__item .contactProgress__number, .contactProgress__item .contactProgress__text {
  opacity: 0.4;
}

.contactProgress__item.contactProgress__item--active .contactProgress__number, .contactProgress__item.contactProgress__item--active .contactProgress__text {
  opacity: 1;
}

.contactProgress__item.contactProgress__item--active .contactProgress__number {
  color: #fff;
}

.contactProgress__item.contactProgress__item--active .contactProgress__number::after {
  background: var(--colorRed);
  border: none;
}

.contact {
  background: none;
  margin-top: 2.5rem;
  padding-bottom: 9.5rem;
  position: relative;
}

.contact--thankyou {
  margin-top: 3.5rem;
  padding-bottom: 5rem;
}

.contact.bg-gray::before {
  background-color: var(--colorGray100);
  bottom: 0;
  content: "";
  height: 93.5%;
  left: 0;
  position: absolute;
  width: 100%;
}

.contact__inner {
  background-color: var(--colorWhite);
  border-radius: 16px;
  box-shadow: 8px 8px 24px rgba(0, 0, 0, 0.15);
  overflow: hidden;
  position: relative;
  z-index: 2;
}

.contactForm, .confirmForm {
  background: #fff;
  display: block;
  padding: clamp(1.25rem, 5.9259vw, 4rem) clamp(1.25rem, 5.9259vw, 4rem);
}

.confirmForm {
  height: fit-content;
  left: 0;
  padding: clamp(1.25rem, 5.9259vw, 4rem);
  position: absolute;
  top: 0;
  transition: opacity 0.4s ease-out,
  transform 0.4s ease-out,
  visibility 0.4s ease-out;
  width: 100%;
  z-index: 1;
}

.confirmForm.hidden {
  opacity: 0;
  pointer-events: none;
  transform: translateX(80%);
  visibility: hidden;
}

.contact__inner form, .form__hiddenGroup {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.contactDetails {
  display: grid;
  gap: 1.5rem clamp(1rem, 3.7037vw, 2.5rem);
  grid-template-columns: 11.25rem 1fr;
}

.contactDetails .hidden {
  display: none;
}

.contactDetails dt, .contactDetails dd {
  padding: 0.5rem 0;
}

.contactDetails .form__label.form__label--start {
  margin-top: 0;
}

.form__row {
  display: grid;
  gap: clamp(1rem, 3.7037vw, 2.5rem);
  grid-template-columns: 11.25rem 1fr;
  min-height: 40px;
}

.confim__lists .form__row {
  min-height: auto;
}
.confim__lists .form__row.textarea dt {
  margin-top: 1rem;
}
.confim__lists .form__row.textarea dd {
  line-height: 1.8;
}

.confim__lists {
  display: grid;
  gap: 1.5rem;
  grid-template-columns: 1fr;
}

.contact--confirm .form__row {
  padding: 0.5rem 0;
}

.contact--confirm .form__row.form__row--noPad {
  padding: 0;
}

.form__label {
  align-self: center;
  color: #000;
  display: flex;
  font-size: 1rem;
  font-weight: 700;
  gap: 0.5rem;
  height: fit-content;
}

.form__label .requiredLabel {
  align-items: center;
  background: var(--colorRed);
  color: #fff;
  display: flex;
  font-size: 0.75rem;
  height: fit-content;
  height: 1.375rem;
  justify-content: center;
  max-width: 2.5rem;
  padding: 0.125rem 0.5rem;
}

.form__label.form__label--start {
  align-self: flex-start;
  margin-top: 1rem;
}

.contact--confirm .form__label.form__label--start {
  margin-top: 0.5rem;
}

.contact input[type="text"], .contact input[type="email"], .contact input[type="tel"], .contact input[type="url"], .contact input[type="number"], .contact input[type="date"], .contact textarea, .contact select {
  border: 1px solid var(--colorGray350);
  color: #000;
  font-family: "Noto Sans JP", sans-serif;
  font-size: 1rem;
  line-height: 1.5;
  outline-color: var(--colorGray750);
  padding: 0.9375rem;
  width: 100%;
}

.contact input[type="text"]:focus-visible, .contact input[type="email"]:focus-visible, .contact input[type="tel"]:focus-visible, .contact input[type="url"]:focus-visible, .contact input[type="number"]:focus-visible, .contact input[type="date"]:focus-visible, .contact textarea:focus-visible, .contact select:focus-visible {
  border-color: #fff;
  border-radius: 0;
  box-shadow: none;
  outline: 1px solid var(--colorGray750);
  outline-offset: 0;
}

.contact input[type="text"]::placeholder, .contact input[type="email"]::placeholder, .contact input[type="tel"]::placeholder, .contact input[type="url"]::placeholder, .contact input[type="number"]::placeholder, .contact input[type="date"]::placeholder, .contact textarea::placeholder {
  color: #c0c0c0;
}

.contact textarea {
  height: 12.5rem;
  line-height: 1.8;
  resize: vertical;
}

.contact .wpcf7-list-item {
  cursor: pointer;
  margin: 0;
  position: relative;
}

.wpcf7-list-item input {
  cursor: pointer;
  opacity: 0;
  position: absolute;
}

.wpcf7-list-item label {
  align-items: center;
  cursor: pointer;
  display: grid;
  gap: 0.5rem;
  grid-template-columns: 1rem 1fr;
  position: relative;
}

.wpcf7-list-item label::before {
  content: "";
  display: inline-block;
  position: relative;
}

.wpcf7-radio {
  display: flex;
  gap: 2.5rem;
}

.wpcf7-list-item:has(input[type="radio"]) label::before {
  border: 1px solid var(--colorGray350);
  border-radius: 50%;
  height: 1rem;
  width: 1rem;
}

.wpcf7-list-item:has(input[type="radio"]) label::after {
  background: var(--colorRed);
  border-radius: 50%;
  content: "";
  height: 0.5rem;
  left: 0.3125rem;
  opacity: 0;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  visibility: hidden;
  width: 0.5rem;
}

.wpcf7-list-item:has(input[type="radio"]:checked) label::before {
  border: 1px solid var(--colorRed);
}

.wpcf7-list-item:has(input[type="radio"]:checked) label::after {
  opacity: 1;
  visibility: visible;
}

.wpcf7-list-item:has(input[type="checkbox"]) label::before {
  border: 1px solid var(--colorGray350);
  height: 1rem;
  width: 1rem;
}
.wpcf7-list-item:has(input[type="checkbox"]:checked) label::before {
  border-color: var(--colorRed);
}

.wpcf7-list-item:has(input[type="checkbox"]:checked)::before {
  background: url(../../images/common/icon-check.svg) no-repeat center / cover;
  content: "";
  height: 0.6875rem;
  left: 0.25rem;
  pointer-events: none;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 0.875rem;
}

select {
  -webkit-appearance: none;
          appearance: none;
}

select {
  background-color: #fff;
  background-image: url(../../images/common/icon-arrow-down-red.svg);
  background-position: right 1rem center;
  background-repeat: no-repeat;
  background-size: 0.5303125rem 0.5303125rem;
  max-width: 20rem;
}

/* エラー時 */
.wpcf7-form-control-wrap:has(.wpcf7-not-valid-tip) > input, .wpcf7-form-control-wrap:has(.wpcf7-not-valid-tip) > textarea {
  border: 1px solid var(--colorRed);
}
.wpcf7-not-valid-tip {
  color: var(--colorRed);
  font-size: 0.75rem;
  margin-top: 0.5rem;
}

.form__acceptance {
  align-items: center;
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  margin-top: 1rem;
}

.form__acceptance p, .form__acceptance a {
  font-size: 1rem;
}

.form__acceptance a {
  text-decoration: underline;
  text-underline-offset: 2px;
}

.form__submit {
  margin: 1rem auto 0;
  max-width: 15rem;
  position: relative;
  width: 100%;
}

.wpcf7-submit, .form__returnButton {
  align-items: center;
  border: 1px solid;
  cursor: pointer;
  display: flex;
  font-weight: 700;
  height: 3.5rem;
  justify-content: center;
  line-height: 1.5;
  transition: 0.2s ease-out;
  width: 100%;
}

.form__returnButton:focus-visible, .form__returnButton:active {
  border-color: #fff;
  outline: 1px solid var(--colorRed);
}

.wpcf7-submit {
  background: var(--colorRed);
  border-color: var(--colorRed);
  color: #fff;
}

.wpcf7-submit:hover {
  background-color: #d00000;
}

.form__returnButton {
  background: #fff;
  border-color: var(--colorGray350);
  color: var(--colorRed);
  display: block !important;
}

.form__returnButton:hover {
  border: 1px solid var(--colorRed);
}

.wpcf7-spinner {
  position: absolute;
}

.form__confirmButtons {
  display: flex;
  gap: 1.5rem;
  margin: 2.5rem auto 0;
  max-width: 31.5rem;
  width: 100%;
}

/* =================== */
/* 送信完了ページ. */
/* =================== */
.thankyou__contants {
  align-items: flex-end;
  display: flex;
  gap: 2.5rem;
  justify-content: space-between;
}

.thankyou__title {
  font-feature-settings: "palt" on;
  font-size: 2.375rem;
  font-weight: 700;
  letter-spacing: 0.06em;
}

.thankyou__text {
  line-height: 1.8;
  margin-top: 1.625rem;
}

.thankyou__link {
  width: fit-content;
}

.hideHidden .form__hiddenGroup {
  display: none;
}

.showHidden .form__hiddenGroup {
  display: flex;
}

.wpcf7 form .wpcf7-response-output {
  border: 2px solid #fff;
  margin: 0;
  padding: 0;
}
.wpcf7 form.invalid .wpcf7-response-output, .wpcf7 form.unaccepted .wpcf7-response-output, .wpcf7 form.payment-required .wpcf7-response-output {
  padding: 0.2rem 1em;
}

.thankyou__text .sp-only {
  display: none;
}

.confirm__hcaptcha {
  display: flex;
  justify-content: center;
  margin-top: 2rem;
}

.confirm__hcaptcha .h-captcha {
  margin-bottom: 0;
}

.contact--thankyou .contact__inner {
  padding: 4rem 2rem 4.75rem;
}

@media screen and (max-width: 1080px) {
  .thankyou__contants {
    align-items: flex-start;
    flex-direction: column;
  }
}

@media screen and (max-width: 767px) {
  main {
    padding-bottom: var(--size96);
  }
  .form__row {
    grid-template-columns: 1fr;
  }
  .contact--confirm .form__row {
    padding: var(--size8) 0;
  }
  .confim__lists .form__row.textarea dt {
    margin-top: 0;
  }
  .contact--confirm .form__label.form__label--start {
    margin-top: var(--size8);
  }
  .contactProgress {
    margin-top: var(--size64);
  }
  .contactProgess__list {
    gap: var(--size48);
  }
  .contactProgress__item {
    gap: var(--size8);
    grid-template-columns: var(--size24) 1fr;
  }

  .contactProgress__item::after {
    height: var(--size8);
    right: calc(var(--size16) * -1);
    width: var(--size8);
  }

  .contactProgress__number {
    font-size: var(--size14);
    height: var(--size24);
    padding-right: var(--size2);
    padding-top: var(--size2);
    width: var(--size24);
  }

  .contactProgress__number::after {
    height: var(--size24);
    width: var(--size24);
  }

  .contactProgress__text {
    font-size: var(--size16);
  }

  .contact {
    margin-top: var(--size40);
    padding-bottom: var(--size96);
  }

  .contact.contact--thankyou {
    margin-top: var(--size40);
    padding-bottom: var(--size80);
  }

  .contact__inner {
    padding: 0;
  }

  .contactForm, .confirmForm {
    padding: var(--size32) var(--size16);
  }

  .contact__inner form, .form__hiddenGroup {
    gap: var(--size24);
  }

  .contactDetails dd {
    padding: 0 0 var(--size16);
  }

  .contactDetails dt {
    padding: var(--size8) 0 0;
  }

  .form__row, .contactDetails {
    display: flex;
    flex-direction: column;
    gap: var(--size8);
  }

  .form__label {
    align-self: flex-start;
    font-size: var(--size16);
    gap: var(--size8);
    place-items: center;
  }

  .form__label .requiredLabel {
    font-size: var(--size12);
    height: var(--size22);
    max-width: var(--size40);
    padding: var(--size2) var(--size8);
  }

  .form__label.form__label--start {
    margin-top: var(--size16);
  }

  .contact input[type="text"], .contact input[type="email"], .contact input[type="tel"], .contact input[type="url"], .contact input[type="number"], .contact input[type="date"], .contact textarea, .contact select {
    font-size: var(--size16);
    padding: var(--size16);
  }

  .contact textarea {
    height: var(--size200);
  }

  .wpcf7-list-item label {
    gap: var(--size8);
    grid-template-columns: var(--size16) 1fr;
  }

  .wpcf7-radio {
    gap: var(--size40);
    margin-top: var(--size8);
  }

  .wpcf7-list-item:has(input[type="radio"]) label::before {
    height: var(--size16);
    width: var(--size16);
  }

  .wpcf7-list-item:has(input[type="radio"]) label::after {
    height: var(--size8);
    left: var(--size5);
    width: var(--size8);
  }

  .wpcf7-list-item:has(input[type="checkbox"]) label::before {
    height: var(--size16);
    width: var(--size16);
  }

  .wpcf7-list-item:has(input[type="checkbox"]:checked)::before {
    height: var(--size11);
    left: var(--size4);
    width: var(--size14);
  }

  .wpcf7-not-valid-tip {
    font-size: var(--size12);
    margin-top: var(--size4);
  }

  .form__acceptance {
    gap: var(--size24);
    margin-top: var(--size16);
  }

  .form__acceptance p, .form__acceptance a {
    font-size: var(--size16);
  }

  .form__submit {
    margin: var(--size16) auto 0;
    max-width: var(--size240);
  }

  .wpcf7-submit {
    height: var(--size56);
  }

  .form__confirmButtons {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    max-width: var(--size240);
  }

  .thankyou__title {
    font-size: var(--size28);
  }

  .thankyou__text {
    margin-top: var(--size26);
  }

  .thankyou__link {
    margin: var(--size40) auto 0;
  }

  .thankyou__text .sp-only {
    display: block;
  }

  .contact--thankyou .contact__inner {
    padding: 2rem;
  }
}

/* ============================== */
/* thankyouページ スライダー(JSなし). */
/* ============================== */
.slide__wrapper {
  overflow-x: hidden;
}

.slide__contain {
  align-items: center;
  display: flex;
  overflow-x: hidden;
  width: 100%;
}

.slideItems {
  align-items: center;
  animation: infinite-scroll-left 50s infinite linear 0s both;
  display: flex;
  gap: 0;
  padding: 0;
  width: max-content;
}

.slideItem {
  width: calc(100vw / 1.6);
}

.slideItem img {
  width: 100%;
}

@keyframes infinite-scroll-left {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
}
